Porting old code

Questions and problems about using polymake go here.
jamesjer
Posts: 28
Joined: 01 Mar 2012, 16:51

Porting old code

Postby jamesjer » 24 Feb 2020, 01:21

Thank you for the 4.0 and 4.0r1 releases! I am looking at building 4.0r1 for Fedora, but will need to port some of the GAP packages (primarily https://github.com/gap-packages/polymaking) first. While looking through your web pages for documentation to help me do this, I found https://polymake.org/doku.php/user_guid ... 4.0/legacy. In the "Stored Files" section, it claims that one can still invoke "polymake file property", but that does not seem to be the case. That worked with polymake 3.x, but the functionality appears to be gone in polymake 4.0. For the case of the GAP polymaking package, for example, I need the equivalent of "polymake file POINTS" (and N_FACETS, VOLUME, etc.). Would that now be something like

Code: Select all

polymake 'my $p=load("file"); print $p->POINTS;'
? An update to your legacy page would be helpful. Thank you.

User avatar
gawrilow
Main Author
Posts: 386
Joined: 25 Dec 2010, 17:40

Re: Porting old code

Postby gawrilow » 24 Feb 2020, 09:49

Exactly, you have to execute this piece of code.

Actually, as we decided to remove the ancient command line mode, we couldn't imagine that it was still used somewhere in production. In particular, for GAP there should be a newer package using the callable C++ library of polymake. Are you maintaining some kind of GAP legacy too?

Of course, we'll fix the tutorial. Apologies for having overlooked it, and thanks for the hint!

jamesjer
Posts: 28
Joined: 01 Mar 2012, 16:51

Re: Porting old code

Postby jamesjer » 10 Mar 2020, 16:05

Thank you for the update to the legacy page. It was very helpful. I still had to do some work, but I can now tell you that polymake 4.0r1 will be in Fedora 32 and that, so far as I am able to tell, all consuming packages work correctly. There is a newer interface from GAP, namely https://homalg-project.github.io/homalg ... Interface/, but it has issues. Meanwhile, the old GAP polymaking package is still used by the HAP package (which also directly invokes polymake's command line interface) and the HAPcryst package. I hope they can move to the library interface some day, but that has not happened yet.

User avatar
joswig
Main Author
Posts: 247
Joined: 24 Dec 2010, 11:10

Re: Porting old code

Postby joswig » 10 Mar 2020, 17:37

... I can now tell you that polymake 4.0r1 will be in Fedora 32 ...
That's excellent! thanks for your effort. -- Michael


Return to “Helpdesk”

cron